JspNameMangler (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.jsp, class: JspNameMangler

Package org.apache.tools.ant.taskdefs.optional.jsp

# Class JspNameMangler

java.lang.Object
org.apache.tools.ant.taskdefs.optional.jsp.JspNameMangler

All Implemented Interfaces:
  `JspMangler`

    public class JspNameMangler
    extends java.lang.Object
    implements JspMangler

This is a class derived from the Jasper code (org.apache.jasper.compiler.CommandLineCompiler) to map from a JSP filename to a valid Java classname.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String[]` | `keywords` | this is the list of keywords which can not be used as classnames

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `JspNameMangler()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `mapJspToJavaName​(java.io.File jspFile)` | map from a jsp file to a java filename; does not do packages
  `java.lang.String` | `mapPath​(java.lang.String path)` | taking in the substring representing the path relative to the source dir return a new string representing the destination path not supported, as jasper in tomcat4.0 doesn't either

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### keywords

    public static final java.lang.String[] keywords
    this is the list of keywords which can not be used as classnames

- ## Constructor Details

  - ### JspNameMangler

    public JspNameMangler()

- ## Method Details

  - ### mapJspToJavaName

    public java.lang.String mapJspToJavaName​(java.io.File jspFile)
    map from a jsp file to a java filename; does not do packages
    Specified by:
      `mapJspToJavaName` in interface `JspMangler`
    Parameters:
      `jspFile` - file
    Returns:
      java filename

  - ### mapPath

    public java.lang.String mapPath​(java.lang.String path)
    taking in the substring representing the path relative to the source dir return a new string representing the destination path not supported, as jasper in tomcat4.0 doesn't either
    Specified by:
      `mapPath` in interface `JspMangler`
    Parameters:
      `path` - not used
    Returns:
      null always.